Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Interface PanelListener

All Superinterfaces:
  BoxComponentListener, ComponentListener, ContainerListener

All Known Subinterfaces:
  TabPanelListener, TreePanelListener, WindowListener

All Known Implementing Classes:
  PanelListenerAdapter, TabPanelListenerAdapter, TreePanelListenerAdapter, WindowListenerAdapter

    public interface PanelListener

extends ContainerListener

The `Panel` listener.

Method Summary
`boolean` | `doBeforeClose(Panel panel)` Fires before the Panel is closed.
`boolean` | `doBeforeCollapse(Panel panel, boolean animate)` Fires before the Panel is collapsed.
`boolean` | `doBeforeExpand(Panel panel, boolean animate)` Fires before the Panel is expanded.
`void` | `onActivate(Panel panel)` Fires after the Panel has been visually activated.
`void` | `onBodyResize(Panel panel, java.lang.String width, java.lang.String height)` Fires after the Panel has been resized.
`void` | `onClose(Panel panel)` Fires after the Panel is closed.
`void` | `onCollapse(Panel panel)` Fires after the Panel has been collapsed.
`void` | `onDeactivate(Panel panel)` Fires after the Panel has been visually deactivated.
`void` | `onExpand(Panel panel)` Fires after the Panel has been expanded.
`void` | `onTitleChange(Panel panel, java.lang.String title)` Fires after the Panel title has been set or changed.

Methods inherited from interface com.gwtext.client.widgets.event.ContainerListener
`doBeforeAdd, doBeforeRemove, onAdd, onAfterLayout, onRemove`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Method Detail

### onActivate

    void onActivate(Panel panel)

  Fires after the Panel has been visually activated. Note that Panels do not directly support being activated, but some Panel subclasses do (like Window). Panels which are child Components of a TabPanel fire the activate and deactivate events under the control of the TabPanel.

  Parameters:
    `panel` - this

### doBeforeClose

    boolean doBeforeClose(Panel panel)

  Fires before the Panel is closed. Note that Panels do not directly support being closed, but some Panel subclasses do (like Window). This event only applies to such subclasses. A handler can return false to cancel the close.
  Note: that if you want to capture the closing of a tab in a `TabPanel`, you must listner for the `ContainerListener.doBeforeRemove(com.gwtext.client.widgets.Container, com.gwtext.client.widgets.Component)` event because closing a tab doesnt close the TabPanel, it just removes it from the parent TabPanel.

  Parameters:
    `panel` - this
  Returns:
    false to cancel

### doBeforeCollapse

    boolean doBeforeCollapse(Panel panel,
                             boolean animate)

  Fires before the Panel is collapsed. A handler can return false to cancel the collapse.

  Parameters:
    `panel` - this
    `animate` - true if collapse is animated
  Returns:
    false to cancel

### doBeforeExpand

    boolean doBeforeExpand(Panel panel,
                           boolean animate)

  Fires before the Panel is expanded. A handler can return false to cancel the expand.

  Parameters:
    `panel` - this
    `animate` - true if expand animated
  Returns:
    false to cancel

### onBodyResize

    void onBodyResize(Panel panel,
                      java.lang.String width,
                      java.lang.String height)

  Fires after the Panel has been resized.

  Parameters:
    `panel` - this
    `width` - the new width
    `height` - the new height

### onClose

    void onClose(Panel panel)

  Fires after the Panel is closed. Note that Panels do not directly support being closed, but some Panel subclasses do (like Window).
  Note: that if you want to capture the closing of a tab in a `TabPanel`, you must listner for the `ContainerListener.onRemove(com.gwtext.client.widgets.Container, com.gwtext.client.widgets.Component)` event because closing a tab doesnt close the TabPanel, it just removes it from the parent TabPanel.

  Parameters:
    `panel` - this

### onCollapse

    void onCollapse(Panel panel)

  Fires after the Panel has been collapsed.

  Parameters:
    `panel` - this

### onDeactivate

    void onDeactivate(Panel panel)

  Fires after the Panel has been visually deactivated. Note that Panels do not directly support being deactivated, but some Panel subclasses do (like Window). Panels which are child Components of a TabPanel fire the activate and deactivate events under the control of the TabPanel.

  Parameters:
    `panel` - this

### onExpand

    void onExpand(Panel panel)

  Fires after the Panel has been expanded.

  Parameters:
    `panel` - this

### onTitleChange

    void onTitleChange(Panel panel,
                       java.lang.String title)

  Fires after the Panel title has been set or changed.

  Parameters:
    `panel` - this
    `title` - the new title

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD